import { NgModule } from '@angular/core';
import { RouterModule, Routes,RouteReuseStrategy, mapToCanActivate } from '@angular/router';
import { TextbookDetailsComponent } from './textbook-details/textbook-details.component';
import { UploadPdfComponent } from './upload-pdf/upload-pdf.component';
const routes: Routes = [
  {
    path: 'textbook/details/:id', //流程申报
    component: TextbookDetailsComponent,
  },
  {
    path: 'textbook/plug-pdf/:id', //流程申报
    component: UploadPdfComponent,
  },
]

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class CommonRoutingModule {}